=== added file '.bzrignore'
--- .bzrignore	1970-01-01 00:00:00 +0000
+++ .bzrignore	2011-12-28 12:59:40 +0000
@@ -0,0 +1,3 @@
+.project
+.pydevproject
+.settings

=== modified file 'stock_override/__openerp__.py'
--- stock_override/__openerp__.py	2011-10-06 08:22:35 +0000
+++ stock_override/__openerp__.py	2011-12-28 12:59:40 +0000
@@ -31,7 +31,11 @@
     "category" : "Generic Modules/Inventory Control",
     "init_xml" : [],
     "demo_xml" : [],
-    "update_xml" : ["report/report_stock_move_view.xml"],
+    "update_xml" : 
+        ["report/report_stock_move_view.xml", 
+        'destruction_report.xml',
+         "report/report_destruction_location_view.xml"],
+         
     'test': [],
     'installable': True,
     'active': False,

=== added file 'stock_override/destruction_report.xml'
--- stock_override/destruction_report.xml	1970-01-01 00:00:00 +0000
+++ stock_override/destruction_report.xml	2011-12-28 12:59:40 +0000
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<openerp>
+    <data>
+    
+        <report auto="True" 
+                id="destruction_location_report" 
+                model="stock.move" 
+                name="destruction.location"
+                header="True"
+                rml="addons/stock_override/report/destruction_location.rml"
+                string="Destruction Location Report"
+                 />
+    </data>
+</openerp>
\ No newline at end of file

=== modified file 'stock_override/report/__init__.py'
--- stock_override/report/__init__.py	2011-09-30 16:28:56 +0000
+++ stock_override/report/__init__.py	2011-12-28 12:59:40 +0000
@@ -20,5 +20,6 @@
 ##############################################################################
 
 import report_stock_move
+import destruction_location
 
 # vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added file 'stock_override/report/destruction_location.py'
--- stock_override/report/destruction_location.py	1970-01-01 00:00:00 +0000
+++ stock_override/report/destruction_location.py	2011-12-28 12:59:40 +0000
@@ -0,0 +1,56 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2011 TeMPO Consulting, MSF 
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+import time
+from report import report_sxw
+import pooler
+
+class destruction_location(report_sxw.rml_parse):
+    def __init__(self, cr, uid, name, context):
+        super(destruction_location, self).__init__(cr, uid, name, context=context)
+        self.localcontext.update({
+            'time': time,
+            'process': self.process,
+            '_get_project': self._get_project,
+        })
+        return
+
+    def process(self, selected_moves):
+        # get the list of location with destruction type
+        loc_obj = self.pool.get('stock.location')
+        destruction_loc_ids = loc_obj.search(self.cr, self.uid, [('name', '=', 'Destruction')])
+
+        result = []
+        for move in selected_moves:
+            # then add only the selected move with destination location in destruction locations
+            if move.location_dest_id and move.location_dest_id.id in destruction_loc_ids: 
+                result.append(move.id)
+        
+        stock_move_obj = pooler.get_pool(self.cr.dbname).get('stock.move')
+        data = stock_move_obj._get_destruction_products(self.cr,self.uid, result)
+        return data
+
+    def _get_project(self):
+        return self.cr.dbname
+    
+report_sxw.report_sxw('report.destruction.location','stock.move','addons/stock_override/report/destruction_location.rml',parser=destruction_location, header=False)
+
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added file 'stock_override/report/destruction_location.rml'
--- stock_override/report/destruction_location.rml	1970-01-01 00:00:00 +0000
+++ stock_override/report/destruction_location.rml	2011-12-28 12:59:40 +0000
@@ -0,0 +1,328 @@
+<?xml version="1.0"?>
+<document filename="test.pdf">
+
+
+  <template pageSize="(842.0,595.0)" title="Test" author="Martin Simon" allowSplitting="20">
+<pageTemplate>
+<frame id="first" x1="28.0" y1="28.0" width="786" height="525"/>
+<pageGraphics>
+<fill color="black"/>
+<stroke color="black"/>
+<setFont name="DejaVu Sans" size="8"/>
+<drawString x="25" y="555"> [[ formatLang(time.strftime("%Y-%m-%d"), date=True) ]]  [[ time.strftime("%H:%M") ]]</drawString>
+<image x="750" y="555" height="40.0" >[[ company.logo or removeParentNode('image') ]]</image>
+<setFont name="DejaVu Sans Bold" size="10"/>
+<stroke color="#000000"/>
+<lines>25 550 818 550</lines>
+</pageGraphics>
+</pageTemplate>
+  </template>
+  <stylesheet>
+    <blockTableStyle id="Standard_Outline">
+      <blockAlignment value="LEFT"/>
+      <blockValign value="TOP"/>
+    </blockTableStyle>
+    <blockTableStyle id="Table5">
+      <blockAlignment value="LEFT"/>
+      <blockValign value="TOP"/>
+    </blockTableStyle>
+    <blockTableStyle id="Table1">
+      <blockAlignment value="LEFT"/>
+      <blockValign value="TOP"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="0,0" stop="0,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="0,0" stop="0,0"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="0,-1" stop="0,-1"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="1,0" stop="1,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="1,0" stop="1,0"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="1,-1" stop="1,-1"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="2,0" stop="2,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="2,0" stop="2,0"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="2,-1" stop="2,-1"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="3,0" stop="3,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="3,0" stop="3,0"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="3,-1" stop="3,-1"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="4,0" stop="4,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="4,0" stop="4,0"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="4,-1" stop="4,-1"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="5,0" stop="5,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="5,0" stop="5,0"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="5,-1" stop="5,-1"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="6,0" stop="6,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="6,0" stop="6,0"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="6,-1" stop="6,-1"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="7,0" stop="7,-1"/>
+      <lineStyle kind="LINEAFTER" colorName="#000000" start="7,0" stop="7,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="7,0" stop="7,0"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="7,-1" stop="7,-1"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="0,1" stop="0,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="0,1" stop="0,1"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="0,-1" stop="0,-1"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="1,1" stop="1,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="1,1" stop="1,1"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="1,-1" stop="1,-1"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="2,1" stop="2,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="2,1" stop="2,1"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="2,-1" stop="2,-1"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="3,1" stop="3,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="3,1" stop="3,1"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="3,-1" stop="3,-1"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="4,1" stop="4,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="4,1" stop="4,1"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="4,-1" stop="4,-1"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="5,1" stop="5,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="5,1" stop="5,1"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="5,-1" stop="5,-1"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="6,1" stop="6,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="6,1" stop="6,1"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="6,-1" stop="6,-1"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="7,1" stop="7,-1"/>
+      <lineStyle kind="LINEAFTER" colorName="#000000" start="7,1" stop="7,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="7,1" stop="7,1"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="7,-1" stop="7,-1"/>
+    </blockTableStyle>
+    <blockTableStyle id="Table2">
+      <blockAlignment value="LEFT"/>
+      <blockValign value="TOP"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="0,0" stop="0,-1"/>
+      <lineStyle kind="LINEAFTER" colorName="#000000" start="0,0" stop="0,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="0,0" stop="0,0"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="0,-1" stop="0,-1"/>
+    </blockTableStyle>
+    <blockTableStyle id="Table3">
+      <blockAlignment value="LEFT"/>
+      <blockValign value="TOP"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="0,0" stop="0,-1"/>
+      <lineStyle kind="LINEAFTER" colorName="#000000" start="0,0" stop="0,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="0,0" stop="0,0"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="0,-1" stop="0,-1"/>
+    </blockTableStyle>
+    <blockTableStyle id="Table4">
+      <blockAlignment value="LEFT"/>
+      <blockValign value="TOP"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="0,0" stop="0,-1"/>
+      <lineStyle kind="LINEAFTER" colorName="#000000" start="0,0" stop="0,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="0,0" stop="0,0"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="0,-1" stop="0,-1"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="2,0" stop="2,-1"/>
+      <lineStyle kind="LINEAFTER" colorName="#000000" start="2,0" stop="2,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="2,0" stop="2,0"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="2,-1" stop="2,-1"/>
+      <lineStyle kind="LINEBEFORE" colorName="#000000" start="4,0" stop="4,-1"/>
+      <lineStyle kind="LINEAFTER" colorName="#000000" start="4,0" stop="4,-1"/>
+      <lineStyle kind="LINEABOVE" colorName="#000000" start="4,0" stop="4,0"/>
+      <lineStyle kind="LINEBELOW" colorName="#000000" start="4,-1" stop="4,-1"/>
+    </blockTableStyle>
+    <initialize>
+      <paraStyle name="all" alignment="justify"/>
+    </initialize>
+    <paraStyle name="P1" fontName="Helvetica" fontSize="24.0" leading="29" alignment="CENTER"/>
+    <paraStyle name="P2" fontName="Helvetica" fontSize="12.0" leading="15"/>
+    <paraStyle name="P3" fontName="Helvetica" fontSize="12.0" leading="15" alignment="LEFT"/>
+    <paraStyle name="P4" fontName="Helvetica" fontSize="11.0" leading="14" alignment="CENTER"/>
+    <paraStyle name="P5" fontName="Helvetica" alignment="CENTER"/>
+    <paraStyle name="P6" fontName="Helvetica" fontSize="12.0" leading="15" alignment="LEFT"/>
+    <paraStyle name="P7" fontName="Helvetica" fontSize="13.0" leading="16" alignment="CENTER"/>
+    <paraStyle name="P8" fontName="Helvetica" fontSize="13.0" leading="16" alignment="LEFT"/>
+    <paraStyle name="Standard" fontName="Helvetica"/>
+    <paraStyle name="Heading" fontName="Helvetica" fontSize="14.0" leading="17" spaceBefore="12.0" spaceAfter="6.0"/>
+    <paraStyle name="Text body" fontName="Helvetica" spaceBefore="0.0" spaceAfter="6.0"/>
+    <paraStyle name="List" fontName="Helvetica" spaceBefore="0.0" spaceAfter="6.0"/>
+    <paraStyle name="Caption" fontName="Helvetica" fontSize="12.0" leading="15" spaceBefore="6.0" spaceAfter="6.0"/>
+    <paraStyle name="Index" fontName="Helvetica"/>
+    <paraStyle name="Table Contents" fontName="Helvetica"/>
+    <paraStyle name="Table Heading" fontName="Helvetica" alignment="CENTER"/>
+    <paraStyle name="terp_header" fontName="Helvetica-Bold" fontSize="15.0" leading="19" alignment="LEFT" spaceBefore="12.0" spaceAfter="6.0"/>
+    <paraStyle name="terp_default_8" fontName="Helvetica" fontSize="8.0" leading="10" alignment="LEFT" spaceBefore="0.0" spaceAfter="0.0"/>
+    <paraStyle name="terp_default_Centre_8" fontName="Helvetica" fontSize="8.0" leading="10" alignment="CENTER" spaceBefore="0.0" spaceAfter="0.0"/>
+    <paraStyle name="terp_default_9" fontName="Helvetica" fontSize="9.0" leading="11" alignment="LEFT" spaceBefore="0.0" spaceAfter="0.0"/>
+    <paraStyle name="terp_tblheader_Details" fontName="Helvetica-Bold" fontSize="9.0" leading="11" alignment="LEFT" spaceBefore="6.0" spaceAfter="6.0"/>
+    <images/>
+  </stylesheet>
+  <story>
+    <para style="P1">Destruction Report</para>
+    <para style="P4">
+      <font color="white"> </font>
+    </para>
+    <para style="P3">
+      <font color="white"> </font>
+    </para>
+    <para style="P3">
+      <font color="white"> </font>
+    </para>
+    <para style="P3">
+      <font color="white"> </font>
+    </para>
+    <blockTable colWidths="409.0,376.0" style="Table5">
+      <tr>
+        <td>
+          <para style="P8">Date: [[ formatLang(time.strftime('%Y-%m-%d'), date=True) ]]</para>
+          <para style="P8">Project Name: [[ _get_project() ]] </para>
+        </td>
+        <td>
+          <para style="P6">
+            <font color="white"> </font>
+          </para>
+        </td>
+      </tr>
+    </blockTable>
+    <para style="P3">
+      <font color="white"> </font>
+    </para>
+    <para style="P3">
+      <font color="white"> </font>
+    </para>
+    <para style="P2"/>
+    <blockTable colWidths="280.0,85.0,88.0,33.0,35.0,80.0,98.0,86.0" style="Table1">
+      <tr>
+        <td>
+          <para style="P7">Product</para>
+        </td>
+        <td>
+          <para style="P7">Batch Number</para>
+        </td>
+        <td>
+          <para style="P7">Expired Date</para>
+        </td>
+        <td>
+          <para style="P7">DG</para>
+        </td>
+        <td>
+          <para style="P7">NP</para>
+        </td>
+        <td>
+          <para style="P7">Qty</para>
+        </td>
+        <td>
+          <para style="P7">Price</para>
+        </td>
+        <td>
+          <para style="P7">Sub Total</para>
+        </td>
+      </tr>
+      <tr>
+        <td>
+          <para style="Standard">[[ repeatIn(process(objects),'move') ]] [[ move['prod_code'] ]] [[ move['prod_name'] ]]</para>
+        </td>
+        <td>
+          <para style="Standard">[[ move['prodlot_id'] ]]</para>
+        </td>
+        <td>
+          <para style="Standard">[[ move['expired_date'] ]]</para>
+        </td>
+        <td>
+          <para style="P5">[[ move['dg_check'] ]] </para>
+        </td>
+        <td>
+          <para style="P5">[[ move['np_check'] ]] </para>
+        </td>
+        <td>
+          <para style="P5">[[ move['prod_qty'] ]] [[ move['uom'] ]]</para>
+        </td>
+        <td>
+          <para style="P5">[[ move['prod_price'] ]] [[ move['currency'] ]]/[[ move['uom'] ]] </para>
+        </td>
+        <td>
+          <para style="P5">[[ move['sub_total'] ]] [[ move['currency'] ]]</para>
+        </td>
+      </tr>
+    </blockTable>
+    <para style="Standard">
+      <font color="white"> </font>
+    </para>
+    <blockTable colWidths="362.0,423.0" style="Table2">
+      <tr>
+        <td>
+          <para style="Table Contents">Note:</para>
+          <para style="Table Contents">
+            <font color="white"> </font>
+          </para>
+          <para style="Table Contents">
+            <font color="white"> </font>
+          </para>
+          <para style="Table Contents">
+            <font color="white"> </font>
+          </para>
+        </td>
+        <td>
+          <para style="Table Contents">
+            <font color="white"> </font>
+          </para>
+        </td>
+      </tr>
+    </blockTable>
+    <para style="Standard">
+      <font color="white"> </font>
+    </para>
+    <blockTable colWidths="362.0,422.0" style="Table3">
+      <tr>
+        <td>
+          <para style="Table Contents">Official Destruction Refrence: </para>
+        </td>
+        <td>
+          <para style="Table Contents">
+            <font color="white"> </font>
+          </para>
+        </td>
+      </tr>
+    </blockTable>
+    <para style="Standard">
+      <font color="white"> </font>
+    </para>
+    <blockTable colWidths="214.0,67.0,217.0,70.0,217.0" style="Table4">
+      <tr>
+        <td>
+          <para style="Table Contents">Name:</para>
+          <para style="Table Contents">
+            <font color="white"> </font>
+          </para>
+          <para style="Table Contents">
+            <font color="white"> </font>
+          </para>
+          <para style="Table Contents">
+            <font color="white"> </font>
+          </para>
+          <para style="Table Contents">----------------------------------------------------</para>
+        </td>
+        <td>
+          <para style="Table Contents">
+            <font color="white"> </font>
+          </para>
+        </td>
+        <td>
+          <para style="Table Contents">Name:</para>
+          <para style="Table Contents">
+            <font color="white"> </font>
+          </para>
+          <para style="Table Contents">
+            <font color="white"> </font>
+          </para>
+          <para style="Table Contents">
+            <font color="white"> </font>
+          </para>
+          <para style="Table Contents">----------------------------------------------------</para>
+        </td>
+        <td>
+          <para style="Table Contents">
+            <font color="white"> </font>
+          </para>
+        </td>
+        <td>
+          <para style="Table Contents">Name:</para>
+          <para style="Table Contents">
+            <font color="white"> </font>
+          </para>
+          <para style="Table Contents">
+            <font color="white"> </font>
+          </para>
+          <para style="Table Contents">
+            <font color="white"> </font>
+          </para>
+          <para style="Table Contents">----------------------------------------------------</para>
+        </td>
+      </tr>
+    </blockTable>
+    <para style="Standard">
+      <font color="white"> </font>
+    </para>
+  </story>
+</document>

=== added file 'stock_override/report/destruction_location.sxw'
Binary files stock_override/report/destruction_location.sxw and stock_override/report/destruction_location.sxw differ
=== added file 'stock_override/report/report_destruction_location_view.xml'
--- stock_override/report/report_destruction_location_view.xml	1970-01-01 00:00:00 +0000
+++ stock_override/report/report_destruction_location_view.xml	2011-12-28 12:59:40 +0000
@@ -0,0 +1,72 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+<data>
+
+    <record id="view_destruction_location_tree" model="ir.ui.view">
+        <field name="name">destruction.locationstock.tree</field>
+        <field name="model">stock.move</field>
+        <field name="type">tree</field>
+        <field name="arch" type="xml">
+            <tree string="Destruction Location">
+                <field name="name"/>
+                <field name="picking_id" string="Reference"/>
+                <field name="origin"/>
+                <field name="reason_type_id"/>
+                <field name="comment"/>
+                <field name="location_id" />
+                <field name="location_dest_id" domain="[('location_dest_id', 'in', ['7'])]" />
+                <field name="product_id"/>
+                <field name="product_qty" />
+                <field name="product_uom" string="UoM"/>
+                <field name="date"/>
+                <field name="create_date"/>
+                <field name="state"/>
+           </tree>
+        </field>
+    </record>
+
+    <record id="view_destruction_location_search" model="ir.ui.view">
+        <field name="name">report.destruction.location.search</field>
+        <field name="model">stock.move</field>
+        <field name="type">search</field>
+        <field name="arch" type="xml">
+            <search string="Destruction Location">
+                <group>
+                	<filter icon="terp-dialog-close" string="Done" name="done" domain="[('state','=','done')]" help="Stock moves that have been processed"/>
+                	<filter icon="terp-stock" string="Future" name="future" domain="[('state','in',('assigned','confirmed','waiting'))]" help="Stock moves that are Confirmed, Available or Waiting"/>
+                	<filter icon="terp-camera_test" string="Ready" name="ready" domain="[('state','=','assigned')]" help="Stock moves that are Available (Ready to process)"/>
+	                <field name="product_id" default_focus="1"/>
+	                <field name="state" />
+                    <field name="date"/>
+                </group>
+                <newline/>
+                <group expand="0" string="Extended Filters..."  groups="base.group_extended">
+                    <field name="origin"/>
+                </group>
+                <newline/>
+                <group expand="1" string="Group By...">
+                	<filter string="Product" name="by_product" icon="terp-accessories-archiver" domain="[]"  context="{'group_by':'product_id'}"/>
+                    <separator orientation="vertical"/>
+                    <filter string="Source Location" name="src_location" icon="terp-gtk-jump-to-rtl" context="{'group_by':'location_id'}"/>
+                    <filter string="Dest. Location" name="dest_location" icon="terp-gtk-jump-to-ltr"  context="{'group_by':'location_dest_id'}"/>
+                    <separator orientation="vertical"/>
+                    <filter string="State" name="group_state" icon="terp-stock_effects-object-colorize" context="{'group_by':'state'}"/>
+                    <separator orientation="vertical"/>
+                    <filter string="Creation" name="groupby_create_date" icon="terp-go-month" domain="[]" context="{'group_by':'create_date'}"/>
+                </group>
+            </search>
+        </field>
+    </record>
+
+    <record id="action_destruction_location_report" model="ir.actions.act_window">
+        <field name="name">Destruction Location</field>
+        <field name="res_model">stock.move</field>
+        <field name="view_type">form</field>
+        <field name="view_mode">tree,graph</field>
+        <field name="search_view_id" ref="view_destruction_location_search"/>
+        <field name="view_id" ref="view_destruction_location_tree" />
+        <field name="help">Destruction Location</field>
+    </record>
+    <menuitem action="action_destruction_location_report" id="menu_action_destruction_location_report" parent="stock.next_id_61" sequence="4"/>
+</data>
+</openerp>
\ No newline at end of file

=== modified file 'stock_override/stock.py'
--- stock_override/stock.py	2011-09-09 13:05:04 +0000
+++ stock_override/stock.py	2011-12-28 12:59:40 +0000
@@ -403,4 +403,42 @@
         return [move.id for move in complete]
     # @@@override end
 
+    def _get_destruction_products(self, cr, uid, ids, product_ids=False, context=None, recursive=False):
+        """ Finds the product quantity and price for particular location.
+        """
+        if context is None:
+            context = {}
+
+        for move in self.browse(cr, uid, ids, context=context):
+            # add this move into the list of result
+            dg_check_flag = ''
+            if move.dg_check:
+                dg_check_flag = 'x'
+                
+            np_check_flag = ''
+            if move.np_check:
+                np_check_flag = 'x'
+            sub_total = move.product_qty * move.product_id.standard_price
+            
+            currency = ''
+            if move.purchase_line_id and move.purchase_line_id.currency_id:
+                currency = move.purchase_line_id.currency_id.name
+            elif move.sale_line_id and move.sale_line_id.currency_id:
+                currency = move.sale_line_id.currency_id.name
+            
+            result.append({
+                'prod_name': move.product_id.name,
+                'prod_code': move.product_id.code,
+                'prod_price': move.product_id.standard_price,
+                'sub_total': sub_total,
+                'currency': currency,
+                'expired_date': move.expired_date,
+                'prodlot_id': move.prodlot_id.name,
+                'dg_check': dg_check_flag,
+                'np_check': np_check_flag,
+                'uom': move.product_uom.name,
+                'prod_qty': move.product_qty,
+            })
+        return result
+
 stock_move()

